#!/bin/bash
echo "Setting up experimental environment"
echo
echo "**********************************************"
echo "** Note: this wouldn't be necessary if      **"
echo "** I was using a saved disk image snapshot! **"
echo "**********************************************"
echo

echo "Installing packages ..."
echo
# upgrade pip
sudo pip install --user -U pip

# upgrade pip
sudo pip install --upgrade pip


# install tensorflow
sudo pip install tensorflow

# upgrade tensorflow
sudo pip install tensorflow --upgrade

# install other useful packages
sudo pip install matplotlib
sudo pip install python-csv

sudo pip install opencv-python
sudo pip install Pillow

sudo apt-get install -y libsm6 libxext6 libxrender-dev
sudo pip install --upgrade opencv-python
sudo pip install --upgrade Pillow

sudo pip install scikit-learn

sudo pip install kaggle


echo "Packages Installed"